Bug 731000 - Review Request: lua-alt-getopt - Argument processing module for Lua
Summary: Review Request: lua-alt-getopt - Argument processing module for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 731003
TreeView+ depends on / blocked
 
Reported: 2011-08-16 14:07 UTC by Michel Alexandre Salim
Modified: 2014-08-28 14:12 UTC (History)
5 users (show)

Fixed In Version: lua-alt-getopt-0.7.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 03:44:04 UTC
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michel Alexandre Salim 2011-08-16 14:07:11 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/lua-alt-getopt.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/lua-alt-getopt-0.7.0-1.fc15.src.rpm
Description:
alt-getopt is a module for Lua programming language for processing
application's arguments the same way BSD/GNU getopt_long(3) functions
do. The main goal is compatibility with SUS "Utility Syntax
Guidelines" guidelines 3-13.

Comment 1 Pavel Alexeev 2011-09-04 17:31:40 UTC
Legend:
+ - Ok.
- - Error.
+/- - It item acceptable, but I strongly recommend enhancement.
= - N/A.

MUST Items
[+] MUST: rpmlint must be run on every package. The output should be posted in the review.

$ rpmlint *
lua-alt-getopt.spec: W: invalid-url Source0: http://luaforge.net/frs/download.php/4260/lua-alt-getopt-0.7.0.tar.gz <urlopen error timed out>
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Manually source downloaded.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+/-] MUST: The package must meet the Packaging Guidelines.

"The main goal is compatibility with SUS "Utility Syntax Guidelines" guidelines 3-13."

I'm completely don't understand what it means. May be it need rephrasing? But I'm not lua programmer, so, it is on your choose.

[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[=] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum lua-alt-getopt-0.7.0.tar.gz lua-alt-getopt-0.7.0.tar.gz.downloaded
f504578b1287ea02759add231b972812  lua-alt-getopt-0.7.0.tar.gz
f504578b1287ea02759add231b972812  lua-alt-getopt-0.7.0.tar.gz.downloaded

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
http://koji.fedoraproject.org/koji/taskinfo?taskID=3323503

[=] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[=] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[=] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[=] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+/-] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

Please add it if EPEL5 in targets too.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Please add it if EPEL5 in targets too.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Please add it if EPEL5 in targets too.

[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[=] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[=] MUST: Header files must be in a -devel package.
[=] MUST: Static libraries must be in a -static package.
[=] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[=] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[=] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[=] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[=] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


SHOULD Items:
[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Please ask upstream to add license!

[=] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[=] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[=] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[=] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[=] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Summary: Please ask upstream include license file and check description.
In any case it is not stop issue.

Package APPROVED.

Comment 2 Pavel Alexeev 2011-09-04 17:34:06 UTC
Forgot mention - package contains test directory. Consider run it in %check stage.

Comment 3 Michel Alexandre Salim 2011-09-08 10:23:06 UTC
Thanks! Will ask upstream for license text. Regarding the test suite, 'bmake test' basically does what you suggested (I could have ran the test suite manually and drop the bmake dependency, but I'd rather do it as upstream intended)

New Package SCM Request
=======================
Package Name: lua-alt-getopt
Short Description: Argument processing module for Lua
Owners: salimma
Branches: f14 f15 f16 el6
InitialCC:

Comment 4 Gwyn Ciesla 2011-09-09 12:24:49 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-09-09 22:11:17 UTC
lua-alt-getopt-0.7.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lua-alt-getopt-0.7.0-1.fc14

Comment 6 Fedora Update System 2011-09-09 22:11:25 UTC
lua-alt-getopt-0.7.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lua-alt-getopt-0.7.0-1.fc15

Comment 7 Fedora Update System 2011-09-09 22:11:33 UTC
lua-alt-getopt-0.7.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lua-alt-getopt-0.7.0-1.fc16

Comment 8 Fedora Update System 2011-09-09 22:11:41 UTC
lua-alt-getopt-0.7.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lua-alt-getopt-0.7.0-1.el6

Comment 9 Fedora Update System 2011-09-10 17:14:04 UTC
Package lua-alt-getopt-0.7.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lua-alt-getopt-0.7.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/lua-alt-getopt-0.7.0-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-09-25 03:43:56 UTC
lua-alt-getopt-0.7.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-25 03:45:35 UTC
lua-alt-getopt-0.7.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-29 03:22:40 UTC
lua-alt-getopt-0.7.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-30 19:46:40 UTC
lua-alt-getopt-0.7.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Thomas Moschny 2014-08-23 10:11:18 UTC
alt-getopt is needed by a lua script (lxc-top) within the lxc package (see bug 1131707).

So, could you please add lua-alt-getopt to EPEL7?

Comment 15 Michel Alexandre Salim 2014-08-28 10:52:49 UTC
@ Thomas certainly!

Package Change Request
======================
Package Name: lua-alt-getopt
New Branches: epel7
Owners: salimma

Comment 16 Gwyn Ciesla 2014-08-28 11:51:20 UTC
Git done (by process-git-requests).

Comment 17 Michel Alexandre Salim 2014-08-28 14:12:52 UTC
Thanks; build done


Note You need to log in before you can comment on or make changes to this bug.